Name: runawfe
Version: 2.2
Release: alt4.svn1126
Summary: RUNA WFE Workflow/BPM management system
License: LGPL
Group: Office
Url: http://sourceforge.net/projects/runawfe
Packager: Aleksey Konstantinov <kana@altlinux.org>
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz

BuildPrereq: runawfe-jboss = 4.0.5.GA java-devel >= 1.5 patch
BuildPrereq: ant >= 1.6.5 ant-junit >= 1.6.5 ant-trax >= 1.6.5 struts

%define JBOSS_ROOT_ORIG /usr/share/jboss
%define JBOSS_ROOT_TARGET /usr/share/jboss
%define JBOSS_ROOT_RPM %buildroot%JBOSS_ROOT_TARGET

# ID for different servers
%define server_id server
%define botstation_id botstation
%define simulation_id simulation
# Prefix, used in jboss configuration (i. e. jboss/server/prefix+name)
%define jboss_cfg_prefix runawfe-
# Jboss configuration names
%define jboss_cfg_server %jboss_cfg_prefix%server_id
%define jboss_cfg_simulation %jboss_cfg_prefix%simulation_id
%define jboss_cfg_botstation %jboss_cfg_prefix%botstation_id

%define DOC_ROOT wfe/docs/guides
%define DOC_WORKFLOW wfe/docs/Workflow

%define runawfe_web_port 28080
%define RunaWFE_Description RUNA WFE is a cross-platform end user solution for business process management. It provides rich web interface with tasklist, form player, graphical process designer, bots and more

%description
%RunaWFE_Description

%package adminkit
Group:  Office
Summary: Admin scripts for manage runawfe
Requires: runawfe-jboss = 4.0.5.GA java >= 1.5

%description adminkit
%RunaWFE_Description

This package contains admin scripts for manage runawfe:
script-runner.sh to deploy demo user's and process
ldap-importer.sh to import from LDAP server
bot-invoker.sh to invoke bots (localy on server or remote botstation)

%package  commonlibs
Group:  Office
Summary: Common libs for runawfe servers
Requires: runawfe-jboss = 4.0.5.GA

%description commonlibs
%RunaWFE_Description

This package contains common libs, which used by all runawfe servers.

%package server
Group:  Office
Summary: Runawfe server
Requires: runawfe-jboss = 4.0.5.GA runawfe-adminkit = %version-%release
Requires: runawfe-commonlibs = %version-%release patch java >= 1.5 alternatives
Conflicts: runawfe-botstation runawfe-simulation

%description server
%RunaWFE_Description

This package contains libs and configs for runawfe server. 
By default runawfe server web interface accessible on port %runawfe_web_port.

%package common
Group: Office
Summary: Common elements for runawfe menu support

%description common
%RunaWFE_Description

This package contains files, needed by runawfe menus items.

%package client
Group: Office
Summary: Web link to runawfe server
Requires: runawfe-common = %version-%release runawfe-client-conf = %version-%release

%description client
%RunaWFE_Description

This package add web link to runawfe server in main menu.
By default runawfe server web interface accessible on main_wfe_server:%runawfe_web_port

%package botstation
Group: Office
Summary: Runawfe remote botstation
Requires: runawfe-commonlibs = %version-%release patch java >= 1.5 alternatives
Requires: runawfe-jboss = 4.0.5.GA runawfe-adminkit = %version-%release
Conflicts: runawfe-server runawfe-simulation

%description botstation
%RunaWFE_Description

This package contains libs and configs for runawfe remote botstation. 
By default runawfe server accessible on address main_wfe_server.

%package simulation
Group: Office
Summary: Runawfe simulation server
Requires: runawfe-jboss = 4.0.5.GA runawfe-adminkit = %version-%release patch java >= 1.5 alternatives
Requires: runawfe-commonlibs = %version-%release runawfe-common = %version-%release
Conflicts: runawfe-server runawfe-botstation

%description simulation
%RunaWFE_Description

This package contains libs and configs for runawfe simulation server.
Simulation server is used for testing new process before deploying to main runawfe server.

%package documentation
Group: Office
Summary: Runawfe documentation
Requires: runawfe-common = %version-%release

%description documentation
%RunaWFE_Description

This package contains documentation for all runawfe components.

%package notifier
Group: Office
Summary: Runawfe notifier client
Requires: runawfe-common = %version-%release runawfe-client-conf = %version-%release firefox

%description notifier
%RunaWFE_Description

This package contains runawfe notifier client. It used for automatic check for new tasks.

%package client-conf
Group: Office
Summary: Runawfe notifier client configuration files

%description client-conf
%RunaWFE_Description

This package contains runawfe notifier and client common configuration files.


%prep
%setup -q

%build

%install

prepareJboss(){
	mkdir -p %JBOSS_ROOT_RPM/server/default
	
        # For installation we need: default configuration and deploy folders.
	cp -RLf %JBOSS_ROOT_ORIG/server/default/conf %JBOSS_ROOT_RPM/server/default/conf
	cp -RLf %JBOSS_ROOT_ORIG/server/default/deploy %JBOSS_ROOT_RPM/server/default/deploy
	# and client libraries.
	cp -RLf %JBOSS_ROOT_ORIG/client %JBOSS_ROOT_RPM/client
}

# Expected param: 1 - ant target to build jboss config; 2 - jboss configuration name
installWFEConf(){
        # install runawfe 
	ant $1

	# remove unchanged jboss files
	rm -Rf `diff %JBOSS_ROOT_RPM/server/default/conf %JBOSS_ROOT_ORIG/server/default/conf -s -r | grep -v "diff -s -r" | grep " %JBOSS_ROOT_ORIG/server/default/conf" | grep " %JBOSS_ROOT_RPM/server/default/conf" | cut -d' ' --fields=2`
	rm -Rf `diff %JBOSS_ROOT_RPM/server/default/deploy %JBOSS_ROOT_ORIG/server/default/deploy -s -r | grep -v "diff -s -r" | grep " %JBOSS_ROOT_ORIG/server/default/deploy" | grep " %JBOSS_ROOT_RPM/server/default/deploy" | cut -d' ' --fields=2`

	# create patches for changed jboss files
	for differ_file in `diff %JBOSS_ROOT_ORIG/server/default/conf %JBOSS_ROOT_RPM/server/default/conf -s -r | grep "diff -s -r" | grep " %JBOSS_ROOT_ORIG/server/default/conf" | grep " %JBOSS_ROOT_RPM/server/default/conf" | cut -d' ' --fields=4` ; do diff -u $differ_file %buildroot/$differ_file | sed "s|%buildroot/||" | sed "s|server/default/|server/$2/|" > %buildroot/$differ_file.wfe_patch || rm -Rf %buildroot/$differ_file; done
	for differ_file in `diff %JBOSS_ROOT_ORIG/server/default/deploy %JBOSS_ROOT_RPM/server/default/deploy -s -r | grep "diff -s -r" | grep " %JBOSS_ROOT_ORIG/server/default/deploy" | grep " %JBOSS_ROOT_RPM/server/default/deploy" | cut -d' ' --fields=4` ; do diff -u $differ_file %buildroot/$differ_file | sed "s|%buildroot/||" | sed "s|server/default/|server/$2/|" > %buildroot/$differ_file.wfe_patch || rm -Rf %buildroot/$differ_file; done

	mkdir -p %JBOSS_ROOT_RPM/server/$2
	mv -f %JBOSS_ROOT_RPM/server/default/conf %JBOSS_ROOT_RPM/server/$2
	mv -f %JBOSS_ROOT_RPM/server/default/deploy %JBOSS_ROOT_RPM/server/$2
	mkdir %JBOSS_ROOT_RPM/server/$2/data
	cp -RLf data %JBOSS_ROOT_RPM/server/$2/
}

rm -Rf %JBOSS_ROOT_RPM
# Configure build script to use jboss from RPM folder
echo "" >> build.properties
echo "jboss.home.dir=%JBOSS_ROOT_RPM" >> build.properties
echo "" >> build.properties

prepareJboss
installWFEConf install.remote.bots %jboss_cfg_botstation

prepareJboss
installWFEConf install.wfe %jboss_cfg_server

prepareJboss
cp -f wfe/resources/distr-build/RunaWFE-Testing.gif web/resources/web/images/big_logo.gif
installWFEConf install.wfe %jboss_cfg_simulation

cd rtn
ant build
mkdir -p %buildroot/usr/lib/RunaRTN
cp build/deploy/* %buildroot/usr/lib/RunaRTN 
rm -Rf %buildroot/usr/lib/RunaRTN/*.bat %buildroot/usr/lib/RunaRTN/*win32*
cat <<EOF >%buildroot/usr/lib/RunaRTN/run_alt.sh
#!/bin/sh
if [ ! -d ~/.rtn ]; then
    mkdir ~/.rtn
fi
cp /usr/lib/RunaRTN/*.properties ~/.rtn
cd ~/.rtn
SERVER_ADDRESS=\`if [ -f ~/.runawfe-client.conf ]; then grep WFEServer_webaddress ~/.runawfe-client.conf | cut -f2- -d=; else grep WFEServer_webaddress /etc/runawfe-client.conf | cut -f 2- -d=; fi\`
sed "s/main_wfe_server/\$SERVER_ADDRESS/" application.properties > tmp.file && mv tmp.file application.properties
sed "s/main_wfe_server/\$SERVER_ADDRESS/" application_ru.properties > tmp.file && mv tmp.file application_ru.properties
SERVER_ADDRESS=\`echo \$SERVER_ADDRESS | cut -d':' -f1\`
sed "s/main_wfe_server/\$SERVER_ADDRESS/" af_delegate.properties > tmp.file && mv tmp.file af_delegate.properties
EOF
cat %buildroot/usr/lib/RunaRTN/run.sh >>%buildroot/usr/lib/RunaRTN/run_alt.sh
mv %buildroot/usr/lib/RunaRTN/run_alt.sh %buildroot/usr/lib/RunaRTN/run.sh
sed "s|rtn.jar|/usr/lib/RunaRTN/rtn.jar|" %buildroot/usr/lib/RunaRTN/run.sh > tmp.file && mv tmp.file %buildroot/usr/lib/RunaRTN/run.sh
sed "s|swt-gtk.jar|/usr/lib/RunaRTN/swt-gtk.jar|" %buildroot/usr/lib/RunaRTN/run.sh > tmp.file && mv tmp.file %buildroot/usr/lib/RunaRTN/run.sh
chmod 555 %buildroot/usr/lib/RunaRTN/*.sh
sed "s/wfe_server/main_wfe_server/" %buildroot/usr/lib/RunaRTN/application.properties > %buildroot/usr/lib/RunaRTN/tmp && mv %buildroot/usr/lib/RunaRTN/tmp %buildroot/usr/lib/RunaRTN/application.properties
sed "s/wfe_server/main_wfe_server/" %buildroot/usr/lib/RunaRTN/application_ru.properties > %buildroot/usr/lib/RunaRTN/tmp && mv %buildroot/usr/lib/RunaRTN/tmp %buildroot/usr/lib/RunaRTN/application_ru.properties
sed "s/wfe_server/main_wfe_server/" %buildroot/usr/lib/RunaRTN/af_delegate.properties > %buildroot/usr/lib/RunaRTN/tmp && mv %buildroot/usr/lib/RunaRTN/tmp %buildroot/usr/lib/RunaRTN/af_delegate.properties
sed "s/localhost:%runawfe_web_port/main_wfe_server/" %buildroot/usr/lib/RunaRTN/application.properties > %buildroot/usr/lib/RunaRTN/tmp && mv %buildroot/usr/lib/RunaRTN/tmp %buildroot/usr/lib/RunaRTN/application.properties
sed "s/localhost:%runawfe_web_port/main_wfe_server/" %buildroot/usr/lib/RunaRTN/application_ru.properties > %buildroot/usr/lib/RunaRTN/tmp && mv %buildroot/usr/lib/RunaRTN/tmp %buildroot/usr/lib/RunaRTN/application_ru.properties
sed "s/localhost/main_wfe_server/" %buildroot/usr/lib/RunaRTN/af_delegate.properties > %buildroot/usr/lib/RunaRTN/tmp && mv %buildroot/usr/lib/RunaRTN/tmp %buildroot/usr/lib/RunaRTN/af_delegate.properties
cd ..

installStartJBossFile(){
cat <<EOF >%buildroot/%_sbindir/runaWFE-start-$1.sh
#!/bin/sh
export LANG=ru_RU.UTF8
export LC_ALL=ru_RU.UTF8

cd %JBOSS_ROOT_TARGET/bin && exec ./run.sh -c %jboss_cfg_prefix$1
EOF
}

install -d %buildroot/%_sbindir
installStartJBossFile %server_id
installStartJBossFile %simulation_id
installStartJBossFile %botstation_id

cat <<EOF >%buildroot/%_sbindir/runaWFE-botmanager.sh
#!/bin/sh
cd %JBOSS_ROOT_TARGET/adminkit && exec ./bot-invoker.sh \$1
EOF
cat <<EOF >%buildroot/%_sbindir/runaWFE-stop.sh
#!/bin/sh
cd %JBOSS_ROOT_TARGET/bin && exec ./shutdown.sh -S
EOF
chmod 755 %buildroot/%_sbindir/runaWFE-*.sh

install -d %buildroot%_sysconfdir/rc.d/init.d
cp wfe/resources/distr-build/rpm/ALTLinux/runaWFE %buildroot%_sysconfdir/rc.d/init.d

cat <<EOF >%buildroot%_sysconfdir/runawfe-client.conf
WFEServer_webaddress=main_wfe_server:%runawfe_web_port
EOF

rm -Rf %JBOSS_ROOT_RPM/client

# replace jar files with symbolic link
rm -Rf %JBOSS_ROOT_RPM/server/default/lib/commons-logging.jar
rm -Rf %JBOSS_ROOT_RPM/adminkit/lib/jbossall-client.jar && ln -s %JBOSS_ROOT_TARGET/client/jbossall-client.jar %JBOSS_ROOT_RPM/adminkit/lib/jbossall-client.jar

# Making documentation
install -d %buildroot%_defaultdocdir
cp -RLf %DOC_ROOT %buildroot%_defaultdocdir/runawfe

# Install menu-entity's
install -d %buildroot%_datadir/pixmaps
cp wfe/resources/distr-build/icons/Cs_20x20_256.gif %buildroot%_datadir/pixmaps/RunaWFE-SimClient.gif
cp wfe/resources/distr-build/icons/t_20x20_256.gif %buildroot%_datadir/pixmaps/RunaWFE-TaskNotifier.gif
cp wfe/resources/distr-build/icons/C_20x20_256.gif %buildroot%_datadir/pixmaps/RunaWFE-Client.gif
cp wfe/resources/distr-build/icons/D_20x20_256.gif %buildroot%_datadir/pixmaps/RunaWFE-Documentation.gif
cp wfe/resources/distr-build/icons/Si_20x20_256.gif %buildroot%_datadir/pixmaps/RunaWFE-Simulation.gif
cp wfe/resources/distr-build/icons/E_big_20x20_256.gif %buildroot%_datadir/pixmaps/RunaWFE-Main.gif

cp wfe/resources/distr-build/icons/wf_Cs_48x128.gif %buildroot%_datadir/pixmaps/RunaWFE-SimClient_48.gif
cp wfe/resources/distr-build/icons/wf_C_48x128.gif %buildroot%_datadir/pixmaps/RunaWFE-Client_48.gif
cp wfe/resources/distr-build/icons/wf_D_48x128.gif %buildroot%_datadir/pixmaps/RunaWFE-Documentation_48.gif
cp wfe/resources/distr-build/icons/wf_Si_48x128.gif %buildroot%_datadir/pixmaps/RunaWFE-Simulation_48.gif
cp wfe/resources/distr-build/icons/wf_Ebig_48x128.gif %buildroot%_datadir/pixmaps/RunaWFE-Main_48.gif
cp wfe/resources/distr-build/icons/wf_t_48x128.gif %buildroot%_datadir/pixmaps/RunaWFE-TaskNotifier_48.gif

install -d %buildroot%_datadir/desktop-directories
cp -f wfe/resources/distr-build/rpm/ALTLinux/menus/RunaWFE.directory %buildroot%_datadir/desktop-directories
install -d %buildroot%_datadir/applications
cp -Lf wfe/resources/distr-build/rpm/ALTLinux/menus/*.desktop %buildroot%_datadir/applications
install -d %buildroot%_sysconfdir/xdg/menus/applications-merged
cp -Lf wfe/resources/distr-build/rpm/ALTLinux/menus/*.menu %buildroot%_sysconfdir/xdg/menus/applications-merged
install -d %buildroot%_datadir/apps/kdesktop/DesktopLinks
cp -Lf wfe/resources/distr-build/rpm/ALTLinux/menus/RunaWFE*.desktop %buildroot%_datadir/apps/kdesktop/DesktopLinks
for fileDesktop in %buildroot%_datadir/apps/kdesktop/DesktopLinks/*.desktop; do sed "s/.gif/_48.gif/" $fileDesktop > $fileDesktop.tmp; mv -f $fileDesktop.tmp $fileDesktop; done

install -d %buildroot%_altdir
cat <<EOF >%buildroot%_altdir/runawfe-%server_id
%_sbindir/runaWFE-start.sh  %_sbindir/runaWFE-start-%server_id.sh    40
EOF
cat <<EOF >%buildroot%_altdir/runawfe-%botstation_id
%_sbindir/runaWFE-start.sh  %_sbindir/runaWFE-start-%botstation_id.sh    40
EOF
cat <<EOF >%buildroot%_altdir/runawfe-%simulation_id
%_sbindir/runaWFE-start.sh  %_sbindir/runaWFE-start-%simulation_id.sh    40
EOF

chmod 544 %JBOSS_ROOT_RPM/adminkit/*.sh

%post server
# Apply patches to jboss configuration files
cp -Rf %JBOSS_ROOT_TARGET/server/default/conf %JBOSS_ROOT_TARGET/server/%jboss_cfg_server
cp -Rf %JBOSS_ROOT_TARGET/server/default/deploy %JBOSS_ROOT_TARGET/server/%jboss_cfg_server
ln -s %JBOSS_ROOT_TARGET/server/default/lib %JBOSS_ROOT_TARGET/server/%jboss_cfg_server/lib
cd %JBOSS_ROOT_TARGET/server/%jboss_cfg_server
for patch_file in `find . -name *.wfe_patch -follow` ;do
    patch -s -u -i $patch_file -p 0
done
chkconfig --add runaWFE
%register_alternatives runawfe-%server_id

%preun server
chkconfig --del runaWFE

%postun server
# Apply reverse patches to jboss configuration files
cd %JBOSS_ROOT_TARGET/server/%jboss_cfg_server
rm -Rf log tmp work
rm lib
cd conf && rm -Rf `ls %JBOSS_ROOT_TARGET/server/default/conf`
cd ../deploy && rm -Rf `ls %JBOSS_ROOT_TARGET/server/default/deploy`
cd ..
%unregister_alternatives runawfe-%server_id

%post botstation
# Apply patches to jboss configuration files
cp -Rf %JBOSS_ROOT_TARGET/server/default/conf %JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation
cp -Rf %JBOSS_ROOT_TARGET/server/default/deploy %JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation
ln -s %JBOSS_ROOT_TARGET/server/default/lib %JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation/lib
cd %JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation
for patch_file in `find . -name *.wfe_patch -follow` ;do
    patch -s -u -i $patch_file -p 0
done
chkconfig --add runaWFE
%register_alternatives runawfe-%botstation_id

%preun botstation
chkconfig --del runaWFE

%postun botstation
# Apply reverse patches to jboss configuration files
cd %JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation
rm -Rf log tmp work
rm lib
cd conf && rm -Rf `ls %JBOSS_ROOT_TARGET/server/default/conf`
cd ../deploy && rm -Rf `ls %JBOSS_ROOT_TARGET/server/default/deploy`
cd ..
%unregister_alternatives runawfe-%botstation_id

%post simulation
# Apply patches to jboss configuration files
cp -Rf %JBOSS_ROOT_TARGET/server/default/conf %JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation
cp -Rf %JBOSS_ROOT_TARGET/server/default/deploy %JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation
ln -s %JBOSS_ROOT_TARGET/server/default/lib %JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation/lib
cd %JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation
mkdir -p log tmp work
chmod -R 777 data log tmp work
for patch_file in `find . -name *.wfe_patch -follow` ;do
    patch -s -u -i $patch_file -p 0
done
%register_alternatives runawfe-%simulation_id
%update_menus

%postun simulation
cd %JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation
rm -Rf log tmp work
rm lib
cd conf && rm -Rf `ls %JBOSS_ROOT_TARGET/server/default/conf`
cd ../deploy && rm -Rf `ls %JBOSS_ROOT_TARGET/server/default/deploy`
cd ..
%unregister_alternatives runawfe-%simulation_id
%clean_menus

%post common
%update_menus
%postun common
%clean_menus

%post client
%update_menus
%postun client
%clean_menus

%post documentation
%update_menus
%postun documentation
%clean_menus

%files server
%JBOSS_ROOT_TARGET/server/%jboss_cfg_server/conf/*
%JBOSS_ROOT_TARGET/server/%jboss_cfg_server/deploy/*
%JBOSS_ROOT_TARGET/server/%jboss_cfg_server/data/*
%_sysconfdir/rc.d/init.d/*
%_altdir/runawfe-%server_id
%_sbindir/runaWFE-start-%server_id.sh

%files botstation
%JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation/conf/*
%JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation/deploy/*
%JBOSS_ROOT_TARGET/server/%jboss_cfg_botstation/data/*
%_sysconfdir/rc.d/init.d/*
%_altdir/runawfe-%botstation_id
%_sbindir/runaWFE-start-%botstation_id.sh

%files commonlibs
%JBOSS_ROOT_TARGET/server/default/lib/*

%files adminkit
%JBOSS_ROOT_TARGET/adminkit
%JBOSS_ROOT_TARGET/samples
%_sbindir/runaWFE-botmanager.sh
%_sbindir/runaWFE-stop.sh

%files common
%_datadir/pixmaps/RunaWFE-Main*.gif
%_datadir/desktop-directories/*

%files client
%_datadir/applications/RunaWFE-client.desktop
%_datadir/apps/kdesktop/DesktopLinks/RunaWFE-client.desktop
%_sysconfdir/xdg/menus/applications-merged/RunaWFE-client.menu

%files simulation
%_datadir/pixmaps/RunaWFE-Simulation*.gif
%_datadir/pixmaps/RunaWFE-SimClient*.gif
%JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation/conf/*
%JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation/deploy/*
%JBOSS_ROOT_TARGET/server/%jboss_cfg_simulation/data/*
#%_sysconfdir/rc.d/init.d/runaWFE
%_datadir/applications/RunaWFE-simulator-*.desktop
%_datadir/apps/kdesktop/DesktopLinks/RunaWFE-simulator-*.desktop
%_sysconfdir/xdg/menus/applications-merged/RunaWFE-simulator.menu
%_altdir/runawfe-%simulation_id
%_sbindir/runaWFE-start-%simulation_id.sh

%files documentation  
%_datadir/pixmaps/RunaWFE-Documentation*.gif
%_datadir/applications/RunaWFE-Documentation.desktop
%_datadir/apps/kdesktop/DesktopLinks/RunaWFE-Documentation.desktop
%_sysconfdir/xdg/menus/applications-merged/RunaWFE-Documentation.menu
%_defaultdocdir/runawfe

%files notifier
/usr/lib/RunaRTN
%_datadir/pixmaps/RunaWFE-TaskNotifier*.gif
%_datadir/applications/RunaWFE-notifier.desktop
%_datadir/apps/kdesktop/DesktopLinks/RunaWFE-notifier.desktop
%_sysconfdir/xdg/menus/applications-merged/RunaWFE-notifier.menu

%files client-conf
%_datadir/pixmaps/RunaWFE-Client*.gif
%_sysconfdir/runawfe-client.conf
%_datadir/applications/RunaWFE-confClient.desktop
%_datadir/apps/kdesktop/DesktopLinks/RunaWFE-confClient.desktop
%_sysconfdir/xdg/menus/applications-merged/RunaWFE-confClient.menu

%changelog
* Tue Nov 25 2008 Konstantinov Aleksey <kana@altlinux.org> 2.2-alt4.svn1126
- New release

* Tue Jun 03 2008 Konstantinov Aleksey <kana@altlinux.org> 2.1-alt3.svn819
- Menu item for configuring clients

* Fri May 30 2008 Konstantinov Aleksey <kana@altlinux.org> 2.1-alt3.svn802
- RTN configured from same file, as web client
- Set locale before starting jboss - for correct non ascii character representation/store

* Sat Apr 26 2008 Konstantinov Aleksey <kana@altlinux.org> 2.1-alt3.svn753
- Desktop icons replaced with bigger icons

* Wed Apr 09 2008 Konstantinov Aleksey <kana@altlinux.org> 2.1-alt3.svn724
- Fixed hibernate session management

* Sun Feb 24 2008 Konstantinov Aleksey <kana@altlinux.org> 2.1-alt2.svn644
- New icons for menu items
- Packages description/summary changed

* Thu Feb 21 2008 Konstantinov Aleksey <kana@altlinux.org> 2.1-alt2.svn624
- Bug fix: start-stop-daemon run jboss in background

* Mon Feb 11 2008 Konstantinov Aleksey <kana@altlinux.org> 2.1-alt1.svn624
- Initial version of RunaWFE 2.1
